VOMS_INSTALL_DB(1)

NAME
voms_install_db - Setup the voms server for initial use

SYNOPSIS
voms_install_db [ options ]

DESCRIPTION

The voms_install_db script initializes a VOMS server. This script MUST be run as root.

OPTIONS

--mysql-home path Default home of MySQL. The default is '/usr'.

--db name Name of the db to create. The default is 'voms'.

--port port Listens on port port. The default is 15000.

--voms-vo name Sets the vo name. The default is 'unspecified'.

--mysql-admin name The name of the MySQL admin user. The default is 'root'.

--mysql-pwd value The password of the MySQL admin user, The default is to not use a password.

--voms-name name The name of the voms user. The default is 'voms'.

--voms-pwd value The password of the voms user. The default is 'password'.

--code c Defines a set of AC serial numbers to be used in case several serers share the same host certificate. If not specified, it is the same as the port number

-logtype type

Sets the type of messages that will be loggged. Acceptable values are:

•   1 - STARTUP, print startup messages.

•   2 - REQUEST, print messages during the request interpretation phase.

•   4 - RESULT, print messages during the result sending phase.

This values can be ORed together to indicate that all the corresponding types of messages are required. The default values is 255.

-loglevel lev

Sets the level of verbosity of log messages. Acceptable values are:

•   1 - LEV_NONE, do not log anything.

•   2 - LEV_ERROR, the default, logs only error conditions.

•   3 - LEV_WARNINGS, logs also warning messages.

•   4 - LEV_INFO, logs also general informational messages.

•   5 - LEV_DEBUG, logs also a lot of debug messages. Setting this level of verbosity overwrites the value of the -logtype option to 255.

Higher values include all messages printed by lower ones, and values not documented here are translated as the highest level possible, LEV_DEBUG

-logformat str

Sets the format used by the loggin system according toa printf-like format string with the following directives format: \%[size][char] where size, if present, sets the maximum length of the field and char selects the type of substitution done. Possible values are the following:

•   % - Substitutes a plain '%'.

•   d - Substitutes the date. The date format is specified by the -logdateformat option.

•   f - Substitutes the name of the source file that logs the message.

•   F - Substitutes the name of the function that logs the message.

•   h - Substitutes the hostname of the machine hosting the service.

•   l - Substitutes the line number that logs the message.

•   m - Substitutes the message proper.

•   p - Substitutes the process' pid.

•   s - Substitutes the service name ("vomsd").

•   t - Substitutes the number of the message type. (see the -logtype option)

•   T - Substitutes the name of the message type. (see the -logtype option)

•   v - Substitutes the number of the message level. (see the -loglevel option)

•   V - Substitutes the name of the message level. (see the -loglevel option)

The default value for this options is: "%d:%h:%s(%p):%V:%T:%F (%f:%l):%m"

-logdateformat str

This option sets the format used to print the date. The format is the same used by the strftime(3) function, and its default value is: "%c".

-debug

This option puts the server into debug mode. This mode automatically implies -loglevel 5. Also, this option hurts scalability and is not suggested in a production environment

-db-type type

Specifies the type of the underlying DB. Possible values are either mysql or oracle. This option MUST be present.

-sqlloc /path/file

This option specifies the full path for the DB access library. Please note that there is no default for this option!

-socktimeout num

This option sets the amount of time, in seconds, after which the server will drop an inactive connection. The default is 60 seconds.

-newformat

This forces the server to generate ACs in the new (correct) format. This is meant as a compatibility feature to ease migration while the servers upgrade to the new version.

BUGS

EU DataGrid Bug Tracking <URL:http://marianne.in2p3.fr/datagrid/bugzilla/buglist.cgi?product=Security;component=VOMS>

SEE ALSO

voms(8)

EDT Auth Home page <URL:http://grid-auth.infn.it>

CVSweb <URL:http://datagrid.in2p3.fr/cgi-bin/cvsweb.cgi/Auth/voms>

RPM repository <URL:http://datagrid.in2p3.fr/distribution/autobuild/i386-rh7.3>

AUTHORS

Vincenzo Ciaschini <Vincenzo.Ciaschini@cnaf.infn.it>.

Valerio Venturi <Valerio.Venturi@cnaf.infn.it>.

COPYRIGHT

Copyright (c) 2003 INFN on behalf of the EU DataGrid.

EU DataGrid Software License. <URL:http://www.edg.org/license.html>

See LICENSE for details.